/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import java.util.Objects;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;

/**
 * ChannelConfirmationResponse
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class ChannelConfirmationResponse {
  @SerializedName("confirmation_id")
  private String confirmationId = null;

  @SerializedName("confirmation_token")
  private String confirmationToken = null;

  public ChannelConfirmationResponse confirmationId(String confirmationId) {
    this.confirmationId = confirmationId;
    return this;
  }

   /**
   * Confirmation ID
   * @return confirmationId
  **/
  @ApiModelProperty(required = true, value = "Confirmation ID")
  public String getConfirmationId() {
    return confirmationId;
  }

  public void setConfirmationId(String confirmationId) {
    this.confirmationId = confirmationId;
  }

  public ChannelConfirmationResponse confirmationToken(String confirmationToken) {
    this.confirmationToken = confirmationToken;
    return this;
  }

   /**
   * Confirmation token
   * @return confirmationToken
  **/
  @ApiModelProperty(example = "299169", required = true, value = "Confirmation token")
  public String getConfirmationToken() {
    return confirmationToken;
  }

  public void setConfirmationToken(String confirmationToken) {
    this.confirmationToken = confirmationToken;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ChannelConfirmationResponse channelConfirmationResponse = (ChannelConfirmationResponse) o;
    return Objects.equals(this.confirmationId, channelConfirmationResponse.confirmationId) &&
        Objects.equals(this.confirmationToken, channelConfirmationResponse.confirmationToken);
  }

  @Override
  public int hashCode() {
    return Objects.hash(confirmationId, confirmationToken);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ChannelConfirmationResponse {\n");
    
    sb.append("    confirmationId: ").append(toIndentedString(confirmationId)).append("\n");
    sb.append("    confirmationToken: ").append(toIndentedString(confirmationToken)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

